% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/fetchLCZ.R
\name{fetchLCZ}
\alias{fetchLCZ}
\title{Fetches LCZ classification data, by default from the Geomanum cloud, for locations already uploaded there by the Geoclimate team}
\usage{
fetchLCZ(
  location,
  outDir,
  wf = "bdtopo_2_2",
  refYear = "2022",
  baseURL = "https://cloud.geomanum.org/index.php/s/geoclimate/download?path=\%2F",
  ...
)
}
\arguments{
\item{location}{is the name of the place for which you want to get the GeoClimate data}

\item{outDir}{is the path to the directory in which fetchLCZ will unpack the data}

\item{wf}{workflow can be bdtopo_2_2, when GeoClimate used the BDTOPO data base, or osm when it used the open street map data.}

\item{refYear}{this parameters is integrated in the name given to the data, in order to allow to re-run the function according to the reference year. At the moment only 2022 data have been tried}

\item{baseURL}{is the adress of the server where the function fetches the data. The data must be organised in a bdtopo_2_2 and an osm/year directories.
This function is intended to be used by Paendora project members, so the default is the Geomanum Foundation cloud.}

\item{...}{allows to pass arguments from the produce analysis function to the groupLCZ and compareLCZ functions}
}
\value{
returns no R object. The data are uploaded from the GeoClimate cloud and locally unpacked in the outDir directory
}
\description{
Fetches LCZ classification data, by default from the Geomanum cloud, for locations already uploaded there by the Geoclimate team
}
\examples{
fetchLCZ(location="Allaire",
outDir=system.file("extdata", package = "lczexplore"),
wf="bdtopo_2_2",refYear="2022")
}
