% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/importLCZgc.R
\name{importLCZgc}
\alias{importLCZgc}
\title{Imports the rsu_lcz geojson file produced by GeoClimate.
Use the more generic /\verb{importLCZvect/} function}
\usage{
importLCZgc(dirPath, output = "sfFile")
}
\arguments{
\item{dirPath}{: the path where the rsu_lcz.geojson file is.}

\item{output}{: if sfFile the rsu_lcz.geojson is imported as an sf file, if bBox, a bounding box of the area is returned}
}
\value{
: if output is set to sfFile, the function returns an sf objects containing all the colums
of the rsu_lcz.geojson found in the dirPath directory.
If output is bBox a bounding box (seef sf package) of the area contained in the rsu_lcz file in the dirPath directory is returned.
This is useful to select geoms analysed in other sf objects.
}
\description{
Imports the rsu_lcz geojson file produced by GeoClimate.
Use the more generic /\verb{importLCZvect/} function
}
\examples{
importLCZgc(dirPath=paste0(system.file("extdata", package = "lczexplore"),"/bdtopo_2_2/Redon/"))
}
